Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api.editions.query
Interface EditionSelectors.Factory

Enclosing class:
  EditionSelectors

    protected static interface EditionSelectors.Factory

Factory interface, used for internal implementation

Method Summary
`EditionSelector` | `createdBefore(java.util.Date createdDate)` createdBefore
`EditionSelector` | `createdSince(java.util.Date createdDate)` createdSince
`EditionSelector` | `idEquals(Identity<Edition> id)` idEquals
`EditionSelector` | `nameEquals(java.lang.String name)` nameEquals
`EditionSelector` | `nameIn(java.util.Collection<java.lang.String> names)` nameIn
`EditionSelector` | `nameIn(java.lang.String... names)` nameIn
`EditionSelector` | `nameLike(java.lang.String name)` nameLike

Method Detail

### idEquals

    EditionSelector idEquals(Identity<Edition> id)

  idEquals

  Parameters:
    `id` -
  Returns:
    EditionSelector

### nameEquals

    EditionSelector nameEquals(java.lang.String name)

  nameEquals

  Parameters:
    `name` -
  Returns:
    EditionSelector

### nameLike

    EditionSelector nameLike(java.lang.String name)

  nameLike

  Parameters:
    `name` -
  Returns:
    EditionSelector

### nameIn

    EditionSelector nameIn(java.lang.String... names)

  nameIn

  Parameters:
    `names` -
  Returns:
    EditionSelector

### nameIn

    EditionSelector nameIn(java.util.Collection<java.lang.String> names)

  nameIn

  Parameters:
    `names` -
  Returns:
    EditionSelector

### createdBefore

    EditionSelector createdBefore(java.util.Date createdDate)

  createdBefore

  Parameters:
    `createdDate` -
  Returns:
    EditionSelector

### createdSince

    EditionSelector createdSince(java.util.Date createdDate)

  createdSince

  Parameters:
    `createdDate` -
  Returns:
    EditionSelector

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD